<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:orientation="horizontal"
    android:background="@color/white"
    android:layout_height="32dp">

    <FrameLayout
        android:id="@+id/collection"
        android:layout_width="100dp"
        android:layout_height="match_parent"

        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/collection_img"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:src="@drawable/icon_collection_not" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginLeft="3dp"
                android:layout_weight="1"
                android:text="收藏" />
        </LinearLayout>

    </FrameLayout>

    <FrameLayout
        android:id="@+id/share"
        android:layout_width="100dp"
        android:layout_height="match_parent"

        android:orientation="horizontal"
        app:layout_constraintStart_toEndOf="@+id/collection"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="horizontal">
            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_gravity="center"
                android:layout_weight="1"
               android:src="@drawable/icon_share" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginLeft="3dp"
                android:layout_weight="1"
                android:text="分享" />
        </LinearLayout>
    </FrameLayout>

    <FrameLayout
        android:layout_weight="2"
        android:id="@+id/download"
        android:layout_width="120dp"
        android:layout_height="match_parent"


        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="horizontal">

            <ImageView

                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:src="@drawable/icon_download" />

            <TextView
                android:id="@+id/downloadText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginLeft="3dp"
                android:layout_weight="1"
                android:text="下载" />
        </LinearLayout>
    </FrameLayout>
</LinearLayout>
